#pragma once

#include "GenTLCamera.h"

#include <string>





namespace GenTLConsumerImplHelper
{
    CIH_WEAK_SYMBOL(extern const char GEVProducerName[]);

    class CGEVCamera : public CGenTLCamera<GEVProducerName>
    {
    public:

    public:
        CGEVCamera()
        {
        }

    protected:

    private:
        // Prevent copying.
        CGEVCamera(const CGEVCamera&);
        CGEVCamera& operator=(const CGEVCamera&);


    };

}

#ifndef USE_DEBUG_CONSUMER
extern const char GenTLConsumerImplHelper::GEVProducerName[] = "ProducerGEV.cti";
#else
extern const char GenTLConsumerImplHelper::GEVProducerName[] = "ProducerGEV_d.cti";
#endif
